Bug 821284 - Review Request: dbunit - DbUnit Framework - extension for JUnit
Review Request: dbunit - DbUnit Framework - extension for JUnit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
:
Depends On: 805487 820343 821283
Blocks: 848096
  Show dependency treegraph
 
Reported: 2012-05-13 18:45 EDT by gil cattaneo
Modified: 2014-08-05 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: dbunit-2.5.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-05 09:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
e: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-13 18:45:18 EDT
Spec URL: http://gil.fedorapeople.org/dbunit.spec
SRPM URL: http://gil.fedorapeople.org/dbunit-2.4.8-1.fc16.src.rpm
Description: DbUnit is a JUnit extension (also usable with Ant) targeted
for database-driven projects that, among other things, puts
your database into a known state between test runs. This is
an excellent way to avoid the myriad of problems that can
occur when one test case corrupts the database and causes
subsequent tests to fail or exacerbate the damage.
DbUnit has the ability to export and import your database
data to and from XML datasets. Since version 2.0, DbUnit can
works with very large dataset when use in streaming mode.
DbUnit can also helps you to verify that your database data
match expected set of values.
Comment 2 Eduardo Mayorga 2014-08-02 12:36:57 EDT
Update to 2.5.1 and I'll review this.
Comment 3 gil cattaneo 2014-08-02 13:43:49 EDT
(In reply to Eduardo Mayorga from comment #2)
> Update to 2.5.1 and I'll review this.

I prefer use a stable release instead of a "SNAPSHOT"

Spec URL: http://gil.fedorapeople.org/dbunit.spec
SRPM URL: http://gil.fedorapeople.org/dbunit-2.5.0-1.fc19.src.rpm

- Update to 2.5.0

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7234351
Comment 4 Eduardo Mayorga 2014-08-03 20:39:14 EDT
May I suggest you to use %global enable_tests 0? This would make this consistent with other packages and easier to read.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Spec file as given by url differs from SRPM's one.

- Incorrect FSF address found in license file and headers in source code. Upstream should be informed about this.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 56 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/821284-dbunit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dbunit-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: dbunit-2.5.0-1.fc22.noarch.rpm
          dbunit-javadoc-2.5.0-1.fc22.noarch.rpm
          dbunit-2.5.0-1.fc22.src.rpm
dbunit.src: W: invalid-url Source0: dbunit-2.5.0.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint dbunit dbunit-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/makerpm/821284-dbunit/srpm/dbunit.spec	2014-08-03 12:08:56.453011988 -0600
+++ /home/makerpm/821284-dbunit/srpm-unpacked/dbunit.spec	2014-08-02 11:52:19.000000000 -0600
@@ -122,4 +122,5 @@
 #%%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId ='dbunit']/pom:version" %%{version} %%{name}-maven-plugin
 
+
 %build
 


Requires
--------
dbunit (rpmlib, GLIBC filtered):
    config(dbunit)
    java-headless
    jpackage-utils
    mvn(commons-collections:commons-collections)
    mvn(junit:junit)
    mvn(org.apache.ant:ant)
    mvn(org.apache.poi:poi)
    mvn(org.slf4j:slf4j-api)

dbunit-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
dbunit:
    config(dbunit)
    dbunit
    mvn(org.dbunit:dbunit)
    mvn(org.dbunit:dbunit:pom:)

dbunit-javadoc:
    dbunit-javadoc
Comment 5 gil cattaneo 2014-08-03 21:26:35 EDT
(In reply to Eduardo Mayorga from comment #4)

> Issues:
> =======
> - Spec file as given by url differs from SRPM's one.

should fixed

> - Incorrect FSF address found in license file and headers in source code.
> Upstream should be informed about this.
Open https://sourceforge.net/p/dbunit/bugs/357/

Spec URL: http://gil.fedorapeople.org/dbunit.spec
SRPM URL: http://gil.fedorapeople.org/dbunit-2.5.0-2.fc19.src.rpm

- fix some review issues
Comment 6 Eduardo Mayorga 2014-08-04 22:04:21 EDT
PACKAGE APPROVED.
Comment 7 gil cattaneo 2014-08-05 00:54:40 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: dbunit
Short Description: A JUnit extension targeted for database-driven projects
Owners: gil
InitialCC: java-sig
Comment 8 Jon Ciesla 2014-08-05 08:08:38 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.